Debian Bug report logs - #272178
liferea: Use Socks host in GNOME network proxy configuration if set

version graph

Package: liferea; Maintainer for liferea is David Michael Smith <sidicas2@gmail.com>; Source for liferea is src:liferea.

Reported by: "Paul C. Bryan" <email@pbryan.net>

Date: Sat, 18 Sep 2004 02:03:01 UTC

Severity: wishlist

Tags: moreinfo, wontfix

Found in version 0.5.3b-2

Forwarded to http://sourceforge.net/mailarchive/forum.php?thread_id=5716233&forum_id=39525

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, christophe barbe <christophe@debian.org>:
Bug#272178; Package liferea. Full text and rfc822 format available.

Acknowledgement sent to "Paul C. Bryan" <email@pbryan.net>:
New Bug report received and forwarded. Copy sent to christophe barbe <christophe@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Paul C. Bryan" <email@pbryan.net>
To: submit@bugs.debian.org
Subject: liferea: Use Socks host in GNOME network proxy configuration if set
Date: Fri, 17 Sep 2004 18:59:28 -0700
[Message part 1 (text/plain, inline)]
Package: liferea
Version: 0.5.3b-2
Severity: wishlist

It appears that liferea does not use the Socks host in the GNOME network 
proxy configuration. This would be useful for those who use tunnel 
connections through the SOCKS protocol.
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#272178; Package liferea. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@damog.net>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 272178@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@damog.net>
To: control@bugs.debian.org
Cc: 272178@bugs.debian.org
Subject: More info needed
Date: Tue, 19 Oct 2004 08:43:08 -0500
tags 272178 + moreinfo
thanks

Please, more info is needed upstream.

-- 
David Moreno Garza <damog@damog.net> | http://www.damog.net/
 GPG 356E16CD - 84F0 E180 8AF6 E8D0 842F  B520 63F3 08DB 356E 16CD




Tags added: moreinfo Request was from David Moreno Garza <damog@damog.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#272178; Package liferea. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@damog.net>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #17 received at 272178@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@damog.net>
To: control@bugs.debian.org
Cc: 278641@bugs.debian.org, 254148@bugs.debian.org, 272178@bugs.debian.org
Subject: Won't fix Liferea bugs
Date: Tue, 02 Nov 2004 17:00:37 -0600
# I am responding to some Liferea bugs. You can find the correct 
# explanation of each one, after the 'quit' command.


# 278641 is about hellip parsing problem.
reassign 278641 libxml2
retitle 278641 libxml2 stops the parsing after a warning
forwarded 278641 http://sourceforge.net/mailarchive/forum.php?thread_id=5856162&forum_id=39525

# Setting the bug as a wishlist anyway, since this behaviour is (?)
# a feature.
severity 278641 wishlist


# 254148 is about parsing completely data from OPML feed
tags 254148 + wontfix
forwarded 254148 http://sourceforge.net/mailarchive/forum.php?thread_id=5716233&forum_id=39525


# 272178 is about GNOME socks
tags 272178 + wontfix
forwarded 272178 http://sourceforge.net/mailarchive/forum.php?thread_id=5716233&forum_id=39525

quit


* #278641: liferea chokes on <title>&hellip;</title>:

It, in the upstream author direct opinion, could not be fixed.

Quote:
 This is a known-issue and propably the best solution available.
 An XML parser like libxml2 encountering non-wellformed content
 must stop processing and return an error per default. libxml2
 is comfortable and provides an recovery mode which is enabled
 in Liferea. As far as I understand this mode it does treat all
 content of the current XML tag that follows the error position
 as ASCII text by removing all special XML characters <,>,&.
 This leads to the output you see.
 
 Not using this mode would mean not getting any items. Per XML
 specification any consuming application is to rely on the
 well-formedness of the XML content. So 100% of the responsibility
 is with the feed generator/author. Of course with RSS 50% of this
 go to the underspecified RSS specs.
 
 My opinion is this cannot be improved further.

Since this is not apparently a bug for liferea, I'm reassigning this bug
against libxml2, with a wishlist severity.

Also, it is important to note the first explanation of the author,
explaining:

 Not really. Liferea reads feed with a XML parser. &hellip; is not 
 a predefined XML entity. It"s a HTML. To correctly supply HTML entities
 in XML feed generators should escape the ampersand like &amp;hellip;
 
 But also feed generators should not trust on the fact that the
 feed consumers can display HTML in titles, because titles are often
 displayed in non-HTML capable widgets. Also the different RSS specs
 do not explicitly allow HTML in titles. Only some of them allow 
 HTML inside the description.


* #254148: liferea doesn't take all attributes into account when
importing an OPML file

This won't be fixed by upstream:

 Won"t fix completly. I think we have fixed the exporting of the htmlUrl.
 This wasn"t included with older versions of Liferea. About the question
 which attribute to use to import the title we have decided to use the
 "title" attribute first and if it is missing the "text" attribute
 (because it"s mandatory in OPML). Also I think the SF feeds have a very
 long feed title compared to most other feeds. So in general I don"t see
 it as a problem.

Anyway, upstream author is leaving the possibility for this to be
implemented in the future, so I'm not closing this bug.


* #272178: liferea: Use Socks host in GNOME network proxy configuration if set

There is not interest in this, by upstream, since there is not socks
experience by the authors. I would close it but I think I can contribute
with them a little bit in this field, if I get some spare time.
Otherwise, I will close it in a couple of releases.

Regards,

--
David Moreno Garza <damog@damog.net> | http://www.damog.net/
 GPG: 356E16CD - 84F0 E180 8AF6 E8D0 842F B520 63F3 08DB 356E 16CD
 You really got me going...




Tags added: wontfix Request was from David Moreno Garza <damog@damog.net> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://sourceforge.net/mailarchive/forum.php?thread_id=5716233&forum_id=39525. Request was from David Moreno Garza <damog@damog.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#272178; Package liferea. (Thu, 10 Jan 2013 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Smith <sidicas2@gmail.com>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Thu, 10 Jan 2013 09:12:03 GMT) Full text and rfc822 format available.

Message #26 received at 272178@bugs.debian.org (full text, mbox):

From: David Smith <sidicas2@gmail.com>
To: 272178@bugs.debian.org
Subject: Re: liferea: Use Socks host in GNOME network proxy configuration if set
Date: Thu, 10 Jan 2013 17:08:04 +0800
[Message part 1 (text/plain, inline)]
Just some information for people wanting to use Liferea with SOCKS.

I'd strongly recommend that you install the package redsocks.  I've 
found that this works perfectly, not only for liferea, but for *ALL* 
other applications whether they support SOCKS or not, to tunnel all 
their traffic through a SOCKS (or SSH Tunnel) server.

It is no longer necessary, today, to build SOCKS support into every 
network application, even if you *MUST* use SOCKS.   For this reason, 
it's unlikely liferea will ever get SOCKS support. There's just no 
reason for it.

I've just completed testing of liferea + redsocks through a SOCK5 
connection created inside an SSH tunnel and it works just fine.  I used 
the guide available here: 
http://dtbaker.com.au/random-bits/redirect-all-traffic-through-transparent-socks5-proxy-in-linux.html

Thanks for your time.

-David Smith

[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:30:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.